﻿using C1.Win.FlexGrid;

namespace FlexGrid_BarButton_NET8
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            _flex.AllowSorting = AllowSortingEnum.None;
            _flex.AllowResizing = AllowResizingEnum.Columns;
            _flex.AutoClipboard = true;
            _flex.ClipboardCopyMode = ClipboardCopyModeEnum.DataOnly;
            _flex.AllowFiltering = false;
            _flex.AllowEditing = false;
            _flex.ColumnPickerInfo.ShowToolButton = false;
            _flex.SelectionMode = SelectionModeEnum.Default;
            _flex.FocusRect = FocusRectEnum.Light;

            // populate grid
            Random rnd = new Random();
            _flex.Rows.Count = 2;
            _flex.Rows.Fixed = 2;
            _flex.Cols.Count = 16;

            CellRange rng = _flex.GetCellRange(0, 1, 1, 1);
            rng.Data = "Lệnh sản xuất";

            rng = _flex.GetCellRange(0, 2, 1, 2);
            rng.Data = "Mã thành phẩm";

            rng = _flex.GetCellRange(0, 3, 1, 3);
            rng.Data = "Tên thành phẩm";

            rng = _flex.GetCellRange(0, 4, 1, 4);
            rng.Data = "SL thành phẩm định mức";

            rng = _flex.GetCellRange(0, 5, 1, 5);
            rng.Data = "Mã nguyên vật liệu";

            rng = _flex.GetCellRange(0, 6, 1, 6);
            rng.Data = "Tên nguyên vật liệu";

            rng = _flex.GetCellRange(0, 7, 1, 7);
            rng.Data = "Đvt";

            rng = _flex.GetCellRange(0, 8, 1, 8);
            rng.Data = "Số lượng định mức";

            rng = _flex.GetCellRange(0, 9, 0, 11);
            rng.Data = "Số lượng NVL trong kỳ";
            _flex[1, 9] = "Xuất kho";
            _flex[1, 10] = "Nhập lại kho";
            _flex[1, 11] = "Thực tế sử dụng";

            rng = _flex.GetCellRange(0, 12, 0, 14);
            rng.Data = "Số lượng NVL lũy kế";
            _flex[1, 12] = "Xuất kho";
            _flex[1, 13] = "Nhập lại kho";
            _flex[1, 14] = "Thực tế sử dụng";

            rng = _flex.GetCellRange(0, 15, 1, 15);
            rng.Data = "Chênh lệch NVL";

            _flex.Rows[0].TextAlign = TextAlignEnum.CenterCenter;
            _flex.Rows[1].TextAlign = TextAlignEnum.CenterCenter;

            _flex.Rows[0].AllowMerging = true;
            _flex.AllowMergingFixed = AllowMergingEnum.Free;
            for(int c = _flex.Cols.Fixed; c < _flex.Cols.Count; c++)
                _flex.Cols[c].AllowMerging = true;

            for (int i =0; i<15; i++)
            {
                _flex.Rows.Add();
                var r = _flex.Rows.Count - 1;
                //_flex[r, 0] = r;
                _flex[r, 1] = (r < 7) ? "Inbound" : "Outbound";
                _flex[r, 2] = (r < 3) ? "North" : (r < 7) ? "South" : (r < 10) ? "East" : "West";
                for (int c = 3; c < _flex.Cols.Count; c++)
                {
                    _flex[r, c] = rnd.Next(1000);
                    _flex.Cols[c].Format = "#,###";
                }
            }


            // more setup
            _flex.AllowDragging = AllowDraggingEnum.None;
            _flex.Tree.Column = 0;
            _flex.Tree.Style = TreeStyleFlags.CompleteLeaf;

            _flex.Subtotal(AggregateEnum.Count, 1, 1, 0, "Production order: {0}");
            _flex.Subtotal(AggregateEnum.Count, 2, 2, 0, "Finished goods code: {0}");

            _flex.AutoSizeCols();
        }
    }
}
